
Redmine - Patch #21493

Tweak colors of default theme

2015-12-12 10:45 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

I suggest slightly changed colors for default theme in order to improve readability and appearance.

deeper black for headings (#content h1, h2, h3, h4)

vivid color for header (#top-menu / #header)

blighter gray for sidebar (#main {background-color})

deeper brack for headings in sidebar (#sidebar h3)

blighter gray for boxes (.box)

blighter gray for inactive tabs (#content .tabs ul li a)

lighter yellow for issues (div.issue)

blighter gray (same color with wiki.pre {background}) for wiki diff background (.text-diff)

blighter gray for scm background (table.filecontent / table.annotate td.line-code)

Related issues:

Related to Redmine - Patch #32017: A much happier blue palette for the header... New

History

#1 - 2016-02-09 14:08 - Go MAEDA

Here are screenshots of the patch. Please take a look at them. I am sure that these changes improve readability and appearance.

 screenshot-1.jpg 

 screenshot-2.jpg 

 screenshot-3.jpg 

#2 - 2016-09-27 09:26 - Andrey Lobanov (RedSoft)

This patch is really changes readability in right way.

#3 - 2016-10-24 05:42 - Toshi MARUYAMA

- Target version set to 3.4.0

#4 - 2016-12-18 10:29 - Jean-Philippe Lang

- Target version deleted (3.4.0)

Tastes and colors... I personally prefer the current colors over the proposed changes (header would be too dark for me).

#5 - 2017-03-08 10:39 - Go MAEDA

- File 21493-change-default-colors-v2.diff added

Jean-Philippe Lang wrote:

Tastes and colors... I personally prefer the current colors over the proposed changes (header would be too dark for me).

 Thanks for your feedback.

I have updated the patch. The new patch does not change header color, only improves the readability of texts. I think current colors of texts are too

light.

deeper black for headings (#content h1, h2, h3, h4)

vivid color for header (#top-menu / #header)

blighter gray for sidebar (#main {background-color})

deeper brack for headings in sidebar (#sidebar h3)
blighter gray for boxes (.box)

blighter gray for inactive tabs (#content .tabs ul li a)

lighter yellow for issues (div.issue)

blighter gray (same color with wiki.pre {background}) for wiki diff background (.text-diff)

blighter gray for scm background (table.filecontent / table.annotate td.line-code)

#6 - 2017-10-28 11:37 - Go MAEDA

- Target version set to 4.1.0

The second patch improves readability. Please take a look again.

Setting target version to 4.1.0.

#7 - 2019-06-21 04:59 - Mizuki ISHIKAWA

+1

#8 - 2019-06-23 08:18 - Makoto Saito

+1

I think it's necessary to tend to use standard setting of redmine as a tool.

#9 - 2019-06-29 17:40 - Marius BĂLTEANU

- Assignee set to Go MAEDA

FYI, the patch cannot be applied on the latest trunk, maybe it should be updated.

#10 - 2019-07-03 04:18 - Mizuki ISHIKAWA

- File 21493-change-default-colors-v3.diff added

I will attach a patch that has been modified to apply to the trunk.

@Go MAEDA, Would you confirm that the patched default theme is what you intended?

#11 - 2019-09-10 15:01 - Bernhard Rohloff

- Related to Patch #32017: A much happier blue palette for the header (#header + #top-menu) added

#12 - 2019-09-28 00:33 - Go MAEDA

- Target version changed from 4.1.0 to 4.2.0

#13 - 2020-03-10 01:54 - Go MAEDA

- Assignee deleted (Go MAEDA)

#14 - 2021-03-22 13:21 - Bernhard Rohloff

Here's a new version of the patch which can be applied to the latest trunk (r20837).

#15 - 2021-03-22 13:22 - Bernhard Rohloff

- File 21493-change-default-colors-v4.diff added

Forgot the patch...

#16 - 2021-03-25 08:35 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0

Need more feedback on this.

#17 - 2022-03-18 19:43 - Marius BĂLTEANU

- Target version changed from 5.0.0 to Candidate for next major release

#18 - 2022-10-12 11:40 - Go MAEDA

- File 0001-Use-CSS-custom-properties-for-some-values.patch added

- File 0002-Adjust-colors-to-improve-readability.patch added
https://www.redmine.org/projects/redmine/repository/svn/revisions/20837


I have updated the patch.

Use CSS custom properties for values affected by the patch. Since Redmine no longer supports Internet Explorer, now we can use CSS custom

properties

Slightly changed colors from the previous patch.

#19 - 2023-11-25 08:33 - pasquale [:dedalus]

Marius BĂLTEANU Go MAEDA

As for my previous comment in #23980#note-50 I think there is a need to modernize the theme colors. Is it possible in your opinion to foresee a

release in version 6.0?

Alternatively, you could think of using an already existing theme as the default redmine theme (for example 

https://github.com/mrliptontea/PurpleMine2 or https://github.com/farend/redmine_theme_farend_bleuclair)?

#20 - 2023-11-25 10:51 - Guillermo ML

Alternatively, you could think of using an already existing theme as the default redmine theme (for example 

https://github.com/mrliptontea/PurpleMine2 or https://github.com/farend/redmine_theme_farend_bleuclair)?

 It is my favorite theme but, in theory, PurpleMine2 is not maintained anymore although there have been releases this year.

#21 - 2024-10-14 09:30 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

I am closing this issue because readability has been significantly improved by recent efforts, including:

Feature #23980: Replace icon images with Tabler SVG icons

Feature #41298: Refine UI with updated box styling and border colors

Feature #41321: Improve readability by refining font sizes and switching to Noto Sans font

Feature #41475: Improve table readability by adding row borders

Files

change-default-colors.diff 4.8 KB 2015-12-12 Go MAEDA

screenshot-2.jpg 104 KB 2015-12-12 Go MAEDA

screenshot-1.jpg 131 KB 2015-12-12 Go MAEDA

screenshot-3.jpg 195 KB 2015-12-12 Go MAEDA

21493-change-default-colors-v2.diff 3.63 KB 2017-03-08 Go MAEDA

21493-change-default-colors-v3.diff 3.99 KB 2019-07-03 Mizuki ISHIKAWA

21493-change-default-colors-v4.diff 4.15 KB 2021-03-22 Bernhard Rohloff

0001-Use-CSS-custom-properties-for-some-values.patch 12.7 KB 2022-10-12 Go MAEDA

0002-Adjust-colors-to-improve-readability.patch 2.21 KB 2022-10-12 Go MAEDA
